package com.steerinfo.meterwork.meterworkcalibrationbranch.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.meterwork.meterworkcalibrationbranch.model.MeterWorkCalibrationBranch;
import feign.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface MeterWorkCalibrationBranchMapper extends IBaseMapper<MeterWorkCalibrationBranch, String> {

    String getNewID(@Param(value="afl")String afl);

    List<MeterWorkCalibrationBranch> getByMainNo(@Param(value = "calibrationMainNo") String calibrationMainNo);

    List<MeterWorkCalibrationBranch> selectForMutual(Map<String,Object> map);

    List<MeterWorkCalibrationBranch> selectForJudge(Map<String,Object> map);

    List<MeterWorkCalibrationBranch> doQuerySomeWf(List<String> ids);
}